Controlls and configures all face-specific options:

- face detection, face mesh detection, age, gender, emotion detection and face description Parameters:
- enabled: true/false
- modelPath: path for each of face models
- minConfidence: threshold for discarding a prediction
- iouThreshold: ammount of overlap between two detected objects before one object is removed
- maxDetected: maximum number of faces detected in the input, should be set to the minimum number for performance
- rotation: use calculated rotated face image or just box with rotation as-is, false means higher performance, but incorrect mesh mapping on higher face angles
- return: return extracted face as tensor for futher user processing, in which case user is reponsible for manually disposing the tensor

### Hierarchy

- FaceConfig

## Index

### Properties

- description
- detector
- emotion
- enabled
- iris
- mesh

## Properties

### description

description: Partial<FaceDescriptionConfig>

- Defined in config.ts:54

### detector

detector: Partial<FaceDetectorConfig>

- Defined in config.ts:51

### emotion

emotion: Partial<FaceEmotionConfig>

- Defined in config.ts:55

### enabled

enabled: boolean

- Defined in config.ts:50

### iris

iris: Partial<FaceIrisConfig>

- Defined in config.ts:53

### mesh

mesh: Partial<FaceMeshConfig>

- Defined in config.ts:52